Skip to contents

# This function rescales a vector of numerical values into z-scores

Source: `R/rescalers.R`
`zscore_scaler.Rd`

This function rescales a vector of numerical values into z-scores

## Usage

    zscore_scaler(x, unitInt = TRUE)

## Arguments

x

  a numeric vector, preferably of feature values computed by other `theft` package functions

unitInt

  Booelan whether to rescale outputs into unit interval `[0,1]`. Defaults to `TRUE`

## Value

x a numeric vector, rescaled into z-scores

## Author

Trent Henderson

## Examples

    zscore_scaler(stats::rnorm(10))
    #>  [1] 0.2104635 0.4994777 0.2246853 0.3257267 0.3610444 0.0000000 0.8585184
    #>  [8] 0.6257648 0.1865516 1.0000000